# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Future Linux Team <future_linux@163.com>
pkgname=libxdmcp
pkgver=1.1.5
pkgrel=1
pkgdesc="X11 Display Manager Control Protocol library"
arch=('x86_64')
url="https://xorg.freedesktop.org/"
license=('custom')
depends=('glibc' 'xorgproto')
makedepends=('util-macros')
source=(https://www.x.org/pub/individual/lib/libXdmcp-${pkgver}.tar.xz)
sha256sums=(d8a5222828c3adab70adf69a5583f1d32eb5ece04304f7f8392b6a353aa2228c)

build() {
	cd libXdmcp-${pkgver}

	${CONFIGURE}                 \
		--disable-static     \
		--docdir=/usr/share/doc/${pkgname}-${pkgver}

	make
}

package() {
	cd libXdmcp-${pkgver}

	make DESTDIR=${pkgdir} install
}
